Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete channel product memberships

Bulk-deletes channel-to-product memberships. Per-item failures are returned in errors.

DELETE/api/v2/{team_slug}/{app_slug}/channels/products
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
productsDeleteChannelProductItem[]required
min items 1 · max items 20
Show properties
Array of DeleteChannelProductItem
channel_idUUIDrequired
product_idUUIDrequired
Responses
200

OK (partial success possible)

dataChannelProductMembership[]required
Show properties
Array of ChannelProductMembership
channel_idUUIDrequired
product_idUUIDrequired
statusstringrequired
status_updated_atstring<date-time> | null
created_atstring<date-time>required
errorsChannelProductMembershipError[]required
Show properties
Array of ChannelProductMembershipError
channel_idUUIDrequired
product_idUUIDrequired
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X DELETE 'https://api.enad.io/api/v2/string/string/channels/products' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "products": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1"
    }
  ]
}'
Response
{
  "data": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "status": "string",
      "status_updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "message": "string"
    }
  ]
}